package com.anagog.anagog_flutter.plugin_utils
import android.content.Context
import com.anagog.jedai.common.config.VariantValue
//Extension functions

fun VariantValue.toValue(): Pair<String,Any?> {
    return this.codingKey() to (this.numericValue ?: this.stringValue)
}

fun Context.getAppName() : String {
    return this.packageManager.getApplicationLabel(this.applicationInfo).toString()
}
