//
//  JedAIDelegate.swift
//
//  Copyright © 2022 Anagog Ltd. All rights reserved.
//

import Foundation

public protocol JedAIDelegate {
    func jedaiPreStartup()
    func jedaiPostStartup()
    func startBackgroundServices()
    func startForegroundServices()
}

public extension JedAIDelegate {
    
    func jedaiPreStartup() {}
    
    func jedaiPostStartup() {}
    
    func startBackgroundServices() {}
    
    func startForegroundServices() {}
    
}
